wpa_supplicant v0.5.4 and ndiswrapper 1.21 not working

Kel Modderman kelrin at tpg.com.au
Wed Aug 9 11:49:55 EDT 2006


On Thursday 10 August 2006 01:37, Kel Modderman wrote:
> On Thursday 10 August 2006 01:19, Brian J. Murrell wrote:
> > On Thu, 2006-08-10 at 00:52 +1000, Kel Modderman wrote:
> > > wext == Wireless Extensions
> >
> > Indeed.
> >
> > > The WEXT code (in the kernel source) provides a common set of "tools"
> > > for all wireless kernel modules to use for various different functions.
> > > Being common by supporting WEXT is an advantage, and something sort for
> > > by good wireless kernel modules, as it means that the behaviour of each
> > > module is similar to the next.
> >
> > So, presumably, ndiswrapper added the (generic, wext) extensions that
> > wpa_supplicant wants to use so it no longer has to use ndiswrapper
> > specific ones?
>
> Yep.

Clarification: when your linux kernel has support for WEXT >= version 18, 
private ndiswrapper ioctl's are invalid, but for older kernels they are the 
only choice. So they are still there, but just ignored on modern linux 
systems.

Kel.



More information about the HostAP mailing list